Sort criteria defined in custom queries are not applied when exporting to CSV

2016-03-31 05:52 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 3.2.2   

Resolution: Fixed Affected version: 3.2.1

Description

How to reproduce:

1. Create a query: name = "order_by_id_asc", sort 1 = "#, ascending"

2. Click the query name "order_by_id_asc" in the side bar of issues list screen. Issues are listed in ascending order of id.

3. Click a "CSV" link on the bottom of the screen

4. Open the CSV file. Ascending order of id is expected, but issues are listed in descending order of id.

Related issues:

Related to Redmine - Defect #26364: Sort is not reflected when export CSV of ... Closed

Associated revisions

Revision 15298 - 2016-04-03 14:09 - Jean-Philippe Lang

Sort criteria defined in custom queries are not applied when exporting to CSV (#22354).

Patch by Go MAEDA.

Revision 15310 - 2016-04-09 07:55 - Jean-Philippe Lang

Merged r15298 (#22354).

History

#1 - 2016-03-31 06:25 - Go MAEDA

- File defect-22354.diff added

- Target version set to 3.2.2

It can be fixed by this patch: defect-22354.diff

#2 - 2016-03-31 06:33 - Go MAEDA

- File defect-22354.diff added

#3 - 2016-03-31 06:33 - Go MAEDA

- File deleted (defect-22354.diff)

#4 - 2016-04-03 14:10 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Committed, thanks.

#5 - 2016-04-09 07:55 - Jean-Philippe Lang

- Status changed from Resolved to Closed

#6 - 2017-07-06 01:44 - Go MAEDA

- Related to Defect #26364: Sort is not reflected when export CSV of issues list added
https://www.redmine.org/attachments/15665


Files

defect-22354.diff 827 Bytes 2016-03-31 Go MAEDA
